/* Generated By:JavaCC: Do not edit this line. CminusParserTreeConstants.java Version 5.0 */
public interface CminusParserTreeConstants
{
  public int JJTINTEGER = 0;
  public int JJTPROGRAM = 1;
  public int JJTDECLARATIONLIST = 2;
  public int JJTDECLARATION = 3;
  public int JJTTYPESPECIFIER = 4;
  public int JJTVARDECLERATION = 5;
  public int JJTSCALARDECLARATION = 6;
  public int JJTARRAYDECLARATION = 7;
  public int JJTFUNDECLERATION = 8;
  public int JJTPARAMS = 9;
  public int JJTPARAM = 10;
  public int JJTARRAYPARAMFLAG = 11;
  public int JJTCOMPOUNDSTATMENT = 12;
  public int JJTLOCALDECLARATIONS = 13;
  public int JJTSTATEMENTLIST = 14;
  public int JJTSTATEMENT = 15;
  public int JJTEXPRESSIONSTATEMENT = 16;
  public int JJTASSIGNSTATEMENT = 17;
  public int JJTVAR = 18;
  public int JJTRETURNSTATEMENT = 19;
  public int JJTSELECTIONSTATEMENT = 20;
  public int JJTITERATIONSTATEMENT = 21;
  public int JJTRELATIONALEXPRESSION = 22;
  public int JJTRELOP = 23;
  public int JJTADDITIVEEXPRESSION = 24;
  public int JJTADDITIVEEXPRESSIONPRIME = 25;
  public int JJTADDOP = 26;
  public int JJTTERM = 27;
  public int JJTTERMPRIME = 28;
  public int JJTMULTOP = 29;
  public int JJTFACTOR = 30;
  public int JJTCALL = 31;
  public int JJTARGS = 32;


  public String[] jjtNodeName = {
    "integer",
    "program",
    "declarationList",
    "declaration",
    "typeSpecifier",
    "varDecleration",
    "scalarDeclaration",
    "arrayDeclaration",
    "funDecleration",
    "params",
    "param",
    "arrayParamFlag",
    "compoundStatment",
    "localDeclarations",
    "statementList",
    "statement",
    "expressionStatement",
    "assignStatement",
    "var",
    "returnStatement",
    "selectionStatement",
    "iterationStatement",
    "relationalExpression",
    "relop",
    "additiveExpression",
    "additiveExpressionPrime",
    "addop",
    "term",
    "termPrime",
    "multop",
    "factor",
    "call",
    "args",
  };
}
/* JavaCC - OriginalChecksum=351fd6a814fa3f3c1a358827dcfcd7cf (do not edit this line) */
